Bug 1333316 (CVE-2016-4486) - CVE-2016-4486 kernel: Information leak in rtnetlink
Summary: CVE-2016-4486 kernel: Information leak in rtnetlink
Status: CLOSED WONTFIX
Alias: CVE-2016-4486
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160504,reported=2...
Keywords: Security
Depends On: 1333321
Blocks: 1332934
TreeView+ depends on / blocked
 
Reported: 2016-05-05 09:28 UTC by Adam Mariš
Modified: 2019-06-08 21:10 UTC (History)
35 users (show)

(edit)
An information leak vulnerability in rtnetlink subsystem in Linux kernel was found in "net/core/rtnetlink.c". The stack object "map" has a total size of 32 bytes. Its last 4 bytes are padding generated by compiler. These padding bytes are not initialized and sent out via nla_put().
Clone Of:
(edit)
Last Closed: 2016-06-02 13:24:02 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-05-05 09:28:08 UTC
An information leak vulnerability in rtnetlink subsystem in Linux kernel was found in "net/core/rtnetlink.c". The stack object "map" has a total size of 32 bytes. Its last 4 bytes are padding generated by compiler. These padding bytes are not initialized and sent out via nla_put().

Public via:

http://marc.info/?l=linux-kernel&m=146230821206492&w=2

http://marc.info/?l=linux-netdev&m=146230822606494&w=2

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q2/234

http://seclists.org/oss-sec/2016/q2/237

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=5f8e44741f9f216e33736ea4ec65ca9ac03036e6

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=5f8e44741f9f216e33736ea4ec65ca9ac03036e6

Comment 1 Adam Mariš 2016-05-05 09:40:31 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1333321]

Comment 2 Fedora Update System 2016-05-14 23:23:27 UTC
kernel-4.5.4-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-16 14:53:12 UTC
kernel-4.4.9-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Vladis Dronov 2016-06-02 12:44:22 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 Fedora Update System 2016-06-02 15:00:21 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.